org.apache.solr.client.solrj.request

## Class AbstractUpdateRequest

- java.lang.Object
- - org.apache.solr.client.solrj.SolrRequest
  - - org.apache.solr.client.solrj.request.AbstractUpdateRequest

All Implemented Interfaces:
  Serializable, IsUpdateRequest

Direct Known Subclasses:
  ContentStreamUpdateRequest, UpdateRequest

    public abstract class AbstractUpdateRequest
    extends SolrRequest
    implements IsUpdateRequest

See Also:
  Serialized Form

### Nested Class Summary

Nested Classes
`static class` `AbstractUpdateRequest.ACTION`

### Nested classes/interfaces inherited from class org.apache.solr.client.solrj.SolrRequest

`SolrRequest.METHOD`

### Field Summary

Fields
`protected int` `commitWithin`
`protected ModifiableSolrParams` `params`

### Constructor Summary

Constructors
Constructor and Description
`AbstractUpdateRequest(SolrRequest.METHOD m, String path)`

### Method Summary

Methods
`AbstractUpdateRequest.ACTION` `getAction()`
`int` `getCommitWithin()`
`ModifiableSolrParams` `getParams()`
`boolean` `isWaitSearcher()`
`UpdateResponse` `process(SolrClient client)`
`AbstractUpdateRequest` `rollback()`
`AbstractUpdateRequest` `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher)` Sets appropriate parameters for the given ACTION
`AbstractUpdateRequest` `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, boolean softCommit)`
`AbstractUpdateRequest` `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, boolean softCommit, int maxSegments)`
`AbstractUpdateRequest` `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, int maxSegments)`
`AbstractUpdateRequest` `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, int maxSegments, boolean expungeDeletes)`
`AbstractUpdateRequest` `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, int maxSegments, boolean softCommit, boolean expungeDeletes)`
`AbstractUpdateRequest` `setAction(AbstractUpdateRequest.ACTION action, boolean waitFlush, boolean waitSearcher, int maxSegments, boolean softCommit, boolean expungeDeletes, boolean openSearcher)`
`void` `setCommitWithin(int commitWithin)`
`void` `setParam(String param, String value)`
`void` `setParams(ModifiableSolrParams params)` Sets the parameters for this update request, overwriting any previous
`void` `setWaitSearcher(boolean waitSearcher)`

### Methods inherited from class org.apache.solr.client.solrj.SolrRequest

`getContentStreams, getMethod, getPath, getQueryParams, getResponseParser, getStreamingResponseCallback, setMethod, setPath, setQueryParams, setResponseParser, setStreamingResponseCallback`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### params

    protected ModifiableSolrParams params

#### commitWithin

    protected int commitWithin

### Constructor Detail

#### AbstractUpdateRequest

    public AbstractUpdateRequest(SolrRequest.METHOD m,
                         String path)

### Method Detail

#### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                  boolean waitFlush,
                                  boolean waitSearcher)

Sets appropriate parameters for the given ACTION

#### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                  boolean waitFlush,
                                  boolean waitSearcher,
                                  boolean softCommit)

#### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                  boolean waitFlush,
                                  boolean waitSearcher,
                                  int maxSegments)

#### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                  boolean waitFlush,
                                  boolean waitSearcher,
                                  boolean softCommit,
                                  int maxSegments)

#### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                  boolean waitFlush,
                                  boolean waitSearcher,
                                  int maxSegments,
                                  boolean softCommit,
                                  boolean expungeDeletes)

#### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                  boolean waitFlush,
                                  boolean waitSearcher,
                                  int maxSegments,
                                  boolean expungeDeletes)

#### setAction

    public AbstractUpdateRequest setAction(AbstractUpdateRequest.ACTION action,
                                  boolean waitFlush,
                                  boolean waitSearcher,
                                  int maxSegments,
                                  boolean softCommit,
                                  boolean expungeDeletes,
                                  boolean openSearcher)

#### rollback

    public AbstractUpdateRequest rollback()

Since:
  Solr 1.4

#### setParam

    public void setParam(String param,
                String value)

#### setParams

    public void setParams(ModifiableSolrParams params)

Sets the parameters for this update request, overwriting any previous

#### getParams

    public ModifiableSolrParams getParams()

Specified by:
  `getParams` in class `SolrRequest`

#### process

    public UpdateResponse process(SolrClient client)
                           throws SolrServerException,
                                  IOException

Specified by:
  `process` in class `SolrRequest`
Throws:
  `SolrServerException`
  `IOException`

#### isWaitSearcher

    public boolean isWaitSearcher()

#### getAction

    public AbstractUpdateRequest.ACTION getAction()

#### setWaitSearcher

    public void setWaitSearcher(boolean waitSearcher)

#### getCommitWithin

    public int getCommitWithin()

#### setCommitWithin

    public void setCommitWithin(int commitWithin)